package com.recovery.admin.boot.config;


import com.recovery.admin.boot.interceptor.JwtInterceptor;
import com.recovery.common.base.config.redis.RedisCache;
import com.recovery.common.base.util.RedisUtil;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

import javax.annotation.Resource;


@Configuration
public class InterceptConfig implements WebMvcConfigurer {
    @Resource
    RedisCache redisCache;
    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        //添加拦截器
        registry.addInterceptor(new JwtInterceptor(redisCache))
                //拦截的路径 需要进行token验证的路径
                .addPathPatterns("/**")
                //放行的路径
                .excludePathPatterns("/api/rest/users/getUserByUsername")
                .excludePathPatterns("/api/user/sendMsg")
                //放行swagger 测试验证
                .excludePathPatterns("/api/user/get");
    }
}
