package com.recovery.auth;


import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;


/**
 * @author： 
 */
@SpringBootApplication
@EnableDiscoveryClient
@EnableFeignClients({"com.recovery.auth.feign"})
@ComponentScan(basePackages = {"com.recovery.auth","com.recovery.common.base"})
@MapperScan("com.recovery.auth.mapper")
public class AuthApp {
    public static void main(String[] args) {
        SpringApplication.run(AuthApp.class, args);
    }
}
