package com.recovery.common.base.config.feign;


import com.recovery.common.base.util.HspHostUtil;
import feign.RequestInterceptor;
import feign.RequestTemplate;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;

public class CommonRequestInterceptor implements RequestInterceptor{

    @Override
    public void apply(RequestTemplate requestTemplate) {

        HttpServletRequest request = getHttpServletRequest();
        if(request != null && request.getHeader("hospitalHost") != null){
            String hospitalHost = request.getHeader("hospitalHost");
            String hospiatlProt = request.getHeader("hospiatlProt");
            String websiteDomain = request.getHeader("websiteDomain");
            String innerInternet = request.getHeader("innerInternet");
            String token = request.getHeader("userTokenHead");
            requestTemplate.header("hospitalHost", hospitalHost);
            requestTemplate.header("innerInternet", innerInternet);
            requestTemplate.header("websiteDomain",websiteDomain);
            requestTemplate.header("hospiatlProt",hospiatlProt);
            requestTemplate.header("userTokenHead",token);
        } else {
            //取当前线程变量中的域名进行传递
            requestTemplate.header("hospitalHost", HspHostUtil.getHspHost());
        }
    }

    private HttpServletRequest getHttpServletRequest() {
        try {
            ServletRequestAttributes attributes = (ServletRequestAttributes) RequestContextHolder.getRequestAttributes();
            if(attributes != null){
                return attributes.getRequest();
            }else{
                return null;
            }
        } catch (Exception e) {
            return null;
        }
    }

}
