package com.recovery.common.base.utils;

import com.alibaba.fastjson.JSONObject;
import com.recovery.common.base.po.base.DBInfo;
import com.recovery.common.base.util.UtilTools;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Component;
import org.springframework.util.CollectionUtils;

import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.TimeUnit;

/**
 * @author： 
 */
@Slf4j
public class RedisUtils {

    /**
     * 获取指定DB
     * @param redisTemplate
     * @param host
     * @param module
     * @return
     */
    public static DBInfo getDBInfoByHostAndModule(StringRedisTemplate redisTemplate, String host, String module){
        log.info("查询数据库："+"hoe:hospital:dbInfo:"+host+"_"+module);
        String dbStr = redisTemplate.opsForValue().get("hoe:hospital:dbInfo:"+host+"_"+module);
        if(UtilTools.isNotEmpty(dbStr)){
            return JSONObject.parseObject(dbStr, DBInfo.class);
        }else{
            return null;
        }
    }

}
