package com.recovery.order.exception;



import com.recovery.common.base.result.IResultCode;
import lombok.Data;


/**
 * 自定义异常类
 */
@Data
public class BusinessException extends RuntimeException{

    private String code;

    private String msg;


    public BusinessException(IResultCode apiCode) {
        super(apiCode.getMsg());
        this.code = apiCode.getCode();
        this.msg = apiCode.getMsg();
    }

    public BusinessException(String code, String message) {
        super(code+":"+message);
        this.code = code;
        this.msg = message;
    }

    public BusinessException(String message) {
        super("5001"+":"+message);
        this.code = "5001";
        this.msg = message;
    }

}
